import { _decorator, Component, Node, Vec3 } from 'cc';
import { PropBase } from '../Base/PropBase';
const { ccclass, property } = _decorator;

@ccclass('diban')
export class diban extends PropBase {




    unuse() {
        super.unuse()

        this.node.children[0].active = false
        this.node.children[0].setPosition(new Vec3(0, 33, 0))
    }



    reuse(ParentNode: Node) {
        super.reuse(ParentNode)

        if (this.getRandomNumber(0, 100) < 10) {
            this.node.children[0].active = true
        }
    }


}


