import { _decorator, Component, Node } from 'cc';
import { AudioManager } from './AudioManager';
const { ccclass, property } = _decorator;

@ccclass('Set')
export class Set extends Component {


    onEnable(): void {
        localStorage.getItem('Effect')
        localStorage.getItem('Music')

        this.show()

    }


    show() {
        if (localStorage.getItem('Effect') == 'true') {
            this.node.getChildByName('Effect').getChildByName('Open').active = true
            this.node.getChildByName('Effect').getChildByName('Close').active = false
        } else {
            this.node.getChildByName('Effect').getChildByName('Open').active = false
            this.node.getChildByName('Effect').getChildByName('Close').active = true
        }

        if (localStorage.getItem('Music') == 'true') {
            this.node.getChildByName('Music').getChildByName('Open').active = true
            this.node.getChildByName('Music').getChildByName('Close').active = false
        } else {
            this.node.getChildByName('Music').getChildByName('Open').active = false
            this.node.getChildByName('Music').getChildByName('Close').active = true
        }
    }

    Musicclose() {

        console.log('1');
        
        localStorage.setItem('Music', 'false')
        this.show()
        AudioManager.Instance.setBgmvolume()
    }
    Musicopen() {
        console.log('2');
        localStorage.setItem('Music', 'true')
        this.show()
        AudioManager.Instance.setBgmvolume()
    }

    Effectclose() {
        console.log('3');
        localStorage.setItem('Effect', 'false')
        this.show()
    }
    Effectopen() {
        console.log('4');
        localStorage.setItem('Effect', 'true')
        this.show()
    }

    close() {
        this.node.active = false
    }
}


